function display(m)
%DISPLAY Display an object of class lookup
%    
%    DISPLAY(M) Display the object m of class lookup %
%    
%    See also: 
%    
%    

%MAN_PAGE_BEGIN
%
%   @purpose	Display an object of class lookup
%
%   @synopsis	display(m)
%   @description  Display the object m of class lookup
%%
%   @see 
%
%MAN_PAGE_END

error(checkargs({m},1,'lookup'));

ps = struct(m.mapping);
ps.lookups = m.lookups;
ps.scales = m.scales;

disp(' ');
disp([inputname(1),' =']);
disp(' ');
disp('A lookup object with the following attributes');
disp(' ');
disp(ps);
disp(' ');
